%define upstream_name    App-Sky
%define upstream_version 0.4.2

Name:       sky
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Uploader that gives back a URL
License:    MIT
Group:      Networking/WWW
Url:        https://www.shlomifish.org/open-source/projects/sky/
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moo)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late) >= 0.10.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl
BuildArch:  noarch

Obsoletes:  perl-App-Sky <= 0.0.7

%description
sky is a wrapper around uploaders such as rsync, which uploads a file to a
remote host with a web service, and gives you a URL that will allow other
people to download it immediately.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.4.2-3.mga10
+ Revision: 2211831
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.4.2-2.mga9
+ Revision: 1830365
- Mageia 9 Mass Rebuild

* Sat Aug 22 2020 shlomif <shlomif> 0.4.2-1.mga8
+ Revision: 1617925
- New version 0.4.2

* Fri Feb 14 2020 umeabot <umeabot> 0.4.1-2.mga8
+ Revision: 1522611
- Mageia 8 Mass Rebuild

* Thu Jan 31 2019 shlomif <shlomif> 0.4.1-1.mga7
+ Revision: 1362132
- New version 0.4.1

* Thu Jan 31 2019 shlomif <shlomif> 0.4.0-1.mga7
+ Revision: 1362127
- New version 0.4.0

* Wed Sep 19 2018 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1275437
- Mageia 7 Mass Rebuild

* Sat May 28 2016 shlomif <shlomif> 0.2.1-1.mga6
+ Revision: 1019032
- New ver 0.2.1

* Mon Feb 08 2016 umeabot <umeabot> 0.0.7-6.mga6
+ Revision: 948774
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.0.7-5.mga5
+ Revision: 788377
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.0.7-4.mga5
+ Revision: 743184
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.0.7-2.mga5
+ Revision: 588085
- obsoleting package perl-App-Sky after renaming

* Wed Feb 05 2014 shlomif <shlomif> 0.0.7-1.mga5
+ Revision: 583287
- update to 0.0.7

* Sat Oct 19 2013 umeabot <umeabot> 0.0.6-2.mga4
+ Revision: 534549
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 shlomif <shlomif> 0.0.6-1.mga4
+ Revision: 478304
- New version 0.0.6+permanent /usr/bin/perl

* Sat Jun 01 2013 shlomif <shlomif> 0.0.2-1.mga4
+ Revision: 434196
- Missing BRs
- Fix rpmlint warnings
- Remove dot
- imported package sky

